gin_tonic.jpg=Gin and tonic waiting for it's owner.
mark_s_porch.jpg=Mark Schreiber enjoying the view.
spain_group.jpg=Michael, Diane, Ginger, and Matteo
finished_puzzle.jpg=The finished puzzle minus the fourteen missing pieces.
dining_room_gansett.jpg=Dining room
coast_guard_smile.jpg=Dinner at The Coast Guard House.
dan_at_work.jpg=Dan at work.
matt_robby_spain.jpg=Matt and Robby at Spain.
diane_tricia_boardwalk.jpg=Diane and Tricia on the boardwalk.
tricia_michael.jpg=Tricia and Michael
adam_dan_puzzle.jpg=Men at work.
swan_close.jpg=Tame goose looking for food.
